# Cisco IPSec VPN tunnel

Monitors the status of Cisco IPSec VPN tunnels. This is a complete rewrite of the original check

---
### Check Info

* *service*: this check creates on service vor each IPSec VPN tunnel
* *state*: 
    * **warning** if VPN tunnel has no IPSec infromation (missing phase 2))
    * **unkown** if VPN tunnel missing

* *wato*: [(see WATO options)](/../../../-/raw/master//doc/wato.png "see sample screenshot")
    * for the check discovery you can enable to add aggressive mode VPN tunnels. They are mostly remote access connections.

* *perfdata*:\
    **IKE counter**
    * IKE active time (s)
    * IKE Bytes in (bytes/s)
    * IKE Bytes out (byte/s)
    * IKE packets in (/s)
    * IKE packets out (/s)
    * IKE packets dropped in (/s)
    * IKE packets dropped out (/s)

    **IPSec counter**
    * IPSec active time (s)
    * IPSec Bytes in (byte/s)
    * IPSec Bytes out (byte/s)
    * IPSec packets in (/s)
    * IPSec packets out (/s)
    * IPSec packets dropped in (/s)
    * IPSec packets dropped out (/s)

---
### Download

* [cisco_vpn_tunnel.mkp (latest version)](https://thl-cmk.hopto.org/gitlab/checkmk/cisco/cisco_vpn_tunnel/-/raw/master/cisco_vpn_tunnel.mkp "Download latest version")

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run `mkp install cisco_vpn_tunnel.mkp`.


In the Enterprise/Free edition of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to contribute?
Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Sample output

![sample output](/doc/sample.png?raw=true "sample output")

WATO options

![WATO options](/doc/wato.png?raw=true "WATO options")

